# Uses of Interface
ch.qos.logback.core.pattern.PostCompileProcessor

Packages that use PostCompileProcessor
Package
Description
ch.qos.logback.access.pattern
Provides classes implementing format specifiers in conversion patterns.
ch.qos.logback.classic.pattern
Provides classes implementing format specifiers in conversion patterns.
ch.qos.logback.core.pattern
Contains the base classes used by PatternLayout.

## Uses of PostCompileProcessor in ch.qos.logback.access.pattern

Classes in ch.qos.logback.access.pattern that implement PostCompileProcessor
Modifier and Type
Class
Description
`class`
`EnsureLineSeparation`

## Uses of PostCompileProcessor in ch.qos.logback.classic.pattern

Classes in ch.qos.logback.classic.pattern that implement PostCompileProcessor
Modifier and Type
Class
Description
`class`
`EnsureExceptionHandling`

## Uses of PostCompileProcessor in ch.qos.logback.core.pattern

Fields in ch.qos.logback.core.pattern declared as PostCompileProcessor
Modifier and Type
Field
Description
`protected PostCompileProcessor<E>`
PatternLayoutBase.`postCompileProcessor`
Methods in ch.qos.logback.core.pattern with parameters of type PostCompileProcessor
Modifier and Type
Method
Description
`void`
PatternLayoutBase.`setPostCompileProcessor(PostCompileProcessor<E> postCompileProcessor)`